scala.tools.nsc.Reporting

# PerRunReporting

#### class PerRunReporting extends (Reporting.this)#PerRunReportingBase

Source
  Reporting.scala

Linear Supertypes
(Reporting.this)#PerRunReportingBase, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PerRunReporting
2. PerRunReportingBase
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new PerRunReporting()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from (Reporting.this)#PerRunReporting to any2stringadd[(Reporting.this)#PerRunReporting] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): ((Reporting.this)#PerRunReporting, B)

   Implicit information
     This member is added by an implicit conversion from (Reporting.this)#PerRunReporting to ArrowAssoc[(Reporting.this)#PerRunReporting] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def allConditionalWarnings: collection.immutable.List[(Position, String)]

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def deprecationWarning(pos: (Reporting.this)#Position, sym: (Reporting.this)#Symbol): Unit

10. #### def deprecationWarning(pos: (Reporting.this)#Position, sym: (Reporting.this)#Symbol, msg: String): Unit

11. #### def deprecationWarning(pos: (Reporting.this)#Position, msg: String): Unit

    Definition Classes
      PerRunReporting → PerRunReportingBase

12. #### def deprecationWarnings: List[(Position, String)]

13. #### def ensuring(cond: ((Reporting.this)#PerRunReporting) ⇒ Boolean, msg: ⇒ Any): (Reporting.this)#PerRunReporting

    Implicit information
      This member is added by an implicit conversion from (Reporting.this)#PerRunReporting to Ensuring[(Reporting.this)#PerRunReporting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: ((Reporting.this)#PerRunReporting) ⇒ Boolean): (Reporting.this)#PerRunReporting

    Implicit information
      This member is added by an implicit conversion from (Reporting.this)#PerRunReporting to Ensuring[(Reporting.this)#PerRunReporting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): (Reporting.this)#PerRunReporting

    Implicit information
      This member is added by an implicit conversion from (Reporting.this)#PerRunReporting to Ensuring[(Reporting.this)#PerRunReporting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): (Reporting.this)#PerRunReporting

    Implicit information
      This member is added by an implicit conversion from (Reporting.this)#PerRunReporting to Ensuring[(Reporting.this)#PerRunReporting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def featureWarning(pos: (Reporting.this)#Position, featureName: String, featureDesc: String, featureTrait: (Reporting.this)#Symbol, construct: ⇒ String = "", required: Boolean): Unit

20. #### def featureWarning(pos: (Reporting.this)#Position, msg: String): Unit

21. #### def featureWarnings: List[(Position, String)]

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from (Reporting.this)#PerRunReporting to StringFormat[(Reporting.this)#PerRunReporting] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### def inlinerWarning(pos: (Reporting.this)#Position, msg: String): Unit

27. #### def inlinerWarnings: List[(Position, String)]

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### var seenMacroExpansionsFallingBack: Boolean

    Has any macro expansion used a fallback during this run?

33. #### def summarizeErrors(): Unit

34. #### def supplementErrorMessage(errorMessage: String): String

    Definition Classes
      PerRunReportingBase

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### def uncheckedWarning(pos: (Reporting.this)#Position, msg: String): Unit

38. #### def uncheckedWarnings: List[(Position, String)]

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### def →[B](y: B): ((Reporting.this)#PerRunReporting, B)

    Implicit information
      This member is added by an implicit conversion from (Reporting.this)#PerRunReporting to ArrowAssoc[(Reporting.this)#PerRunReporting] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from (Reporting.this)#PerRunReportingBase

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from (Reporting.this)#PerRunReporting to any2stringadd[(Reporting.this)#PerRunReporting]

### Inherited by implicit conversion StringFormat from (Reporting.this)#PerRunReporting to StringFormat[(Reporting.this)#PerRunReporting]

### Inherited by implicit conversion Ensuring from (Reporting.this)#PerRunReporting to Ensuring[(Reporting.this)#PerRunReporting]

### Inherited by implicit conversion ArrowAssoc from (Reporting.this)#PerRunReporting to ArrowAssoc[(Reporting.this)#PerRunReporting]

### Ungrouped